package com.kingdee.eas.custom.dormitorysystem.application;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class CheckoutApplicationEntryCollection extends AbstractObjectCollection 
{
    public CheckoutApplicationEntryCollection()
    {
        super(CheckoutApplicationEntryInfo.class);
    }
    public boolean add(CheckoutApplicationEntryInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(CheckoutApplicationEntryCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(CheckoutApplicationEntryInfo item)
    {
        return removeObject(item);
    }
    public CheckoutApplicationEntryInfo get(int index)
    {
        return(CheckoutApplicationEntryInfo)getObject(index);
    }
    public CheckoutApplicationEntryInfo get(Object key)
    {
        return(CheckoutApplicationEntryInfo)getObject(key);
    }
    public void set(int index, CheckoutApplicationEntryInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(CheckoutApplicationEntryInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(CheckoutApplicationEntryInfo item)
    {
        return super.indexOf(item);
    }
}